| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::cvt::detail::QxConvertHelper< T > Struct Template Reference

`#include <QxConvert_Impl.h>`

List of all members.

## Public Types
typedef QxConvertHelper< T > ::type_str_cvt_helper_5 | type
## Private Types
typedef std::conditional < qx::trait::is_ix_persistable < T >::value, qx::cvt::detail::helper::QxConvertHelper_Persistable, qx::cvt::detail::helper::QxConvertHelper_Generic > ::type | type_str_cvt_helper_0
typedef std::conditional < std::is_pointer< T >::value, qx::cvt::detail::helper::QxConvertHelper_Ptr, type_str_cvt_helper_0 >::type | type_str_cvt_helper_1
typedef std::conditional < qx::trait::is_smart_ptr< T > ::value, qx::cvt::detail::helper::QxConvertHelper_Ptr, type_str_cvt_helper_1 >::type | type_str_cvt_helper_2
typedef std::conditional < qx::trait::is_container< T > ::value, qx::cvt::detail::helper::QxConvertHelper_Container, type_str_cvt_helper_2 >::type | type_str_cvt_helper_3
typedef std::conditional < qx::trait::is_qx_registered < T >::value, qx::cvt::detail::helper::QxConvertHelper_Registered, type_str_cvt_helper_3 >::type | type_str_cvt_helper_4
typedef std::conditional < std::is_enum< T >::value, qx::cvt::detail::helper::QxConvertHelper_Enum, type_str_cvt_helper_4 >::type | type_str_cvt_helper_5

## Detailed Description

### template<typename T>
struct qx::cvt::detail::QxConvertHelper< T >

Definition at line 553 of file QxConvert_Impl.h.

## Member Typedef Documentation

template<typename T>

typedef QxConvertHelper<T>::type_str_cvt_helper_5 qx::cvt::detail::QxConvertHelper< T >::type

Definition at line 567 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< qx::trait::is_ix_persistable<T>::value, qx::cvt::detail::helper::QxConvertHelper_Persistable, qx::cvt::detail::helper::QxConvertHelper_Generic >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_0`[private]`

Definition at line 558 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< std::is_pointer<T>::value, qx::cvt::detail::helper::QxConvertHelper_Ptr, type_str_cvt_helper_0 >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_1`[private]`

Definition at line 559 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< qx::trait::is_smart_ptr<T>::value, qx::cvt::detail::helper::QxConvertHelper_Ptr, type_str_cvt_helper_1 >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_2`[private]`

Definition at line 560 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< qx::trait::is_container<T>::value, qx::cvt::detail::helper::QxConvertHelper_Container, type_str_cvt_helper_2 >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_3`[private]`

Definition at line 561 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< qx::trait::is_qx_registered<T>::value, qx::cvt::detail::helper::QxConvertHelper_Registered, type_str_cvt_helper_3 >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_4`[private]`

Definition at line 562 of file QxConvert_Impl.h.

template<typename T>

typedef std::conditional< std::is_enum<T>::value, qx::cvt::detail::helper::QxConvertHelper_Enum, type_str_cvt_helper_4 >::type qx::cvt::detail::QxConvertHelper< T >::type_str_cvt_helper_5`[private]`

Definition at line 563 of file QxConvert_Impl.h.

The documentation for this struct was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxConvert/QxConvert_Impl.h